/**
*Rsync App
* There are different ways implementing an App
*/
var rsyncApp = rsyncApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
rsyncApp.App = function () {
    this.id = 'Rsync Backup';
    this.name = 'Rsync Backup';
    this.version = '6.0.30';
    this.active = false;
    this.menuIcon = '/apps/rsync/images/logo.png?v=6.0.30&';
    this.shortcutIcon = '/apps/rsync/images/logo.png?v=6.0.30&';
    this.entryUrl = '/apps/rsync/rsync.html?v=6.0.30&';
    //this.entryHelpUrl = '/apps/rsync/rsync_help.html?v=6.0.30&';
    var self = this;
    this.rsyncAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Rsync Backup')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'rsyncAppWindow',
            title: UNAS._('Rsync Backup'),
            icon: '/apps/rsync/images/logo_small.png?v=6.0.30&',
            width: 1024,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [600, 2000], 'y': [250, 1500] },
            loadMethod: 'xhr',
            contentURL: '/apps/rsync/rsync.html?v=6.0.30&',
            require: {  css: ['/apps/rsync/css/rsync.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Rsync Backup",'rsyncAppWindow')}
        });
    };
    this.rsyncAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('Rsync Backup');
        UNAS.RemoveMenu('Rsync Backup');
        UNAS.RemoveAppFromGroups('Rsync Backup', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Rsync Backup', 'Help');
        UNAS.RemoveAppFromApps('Rsync Backup');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Rsync Backup', '', this.rsyncAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Rsync Backup', this.rsyncAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Rsync Backup', UNAS._('Rsync Backup')); //translate menu
        //UNAS.SetShortcutTitle('Rsync Backup', UNAS._('Rsync Backup')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('rsyncAppWindow', UNAS._('Rsync Backup'));
        }
    }
    UNAS.LoadTranslation('/apps/rsync/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.rsyncAppWindow,this.rsyncAppUninstall);
};

new rsyncApp.App(); //Create app
