function generateRsyncUUID() {
  var d = new Date().getTime();
  var uuid = 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
    var r = (d + Math.random() * 16) % 16 | 0;
    d = Math.floor(d / 16);
    return (c == 'x' ? r : (r & 0x3 | 0x8)).toString(16);
  });
  return uuid;
};
var RsyncRefreshCode = generateRsyncUUID();

var rsync_info = {};

jQuery('div[rsyncitemtableid]').click(function() {
  var id = jQuery(this).attr('rsyncitemtableid');
  jQuery('#rsync_manager_task_tab').attr('class', 'unas_tab');
  jQuery('#rsync_manager_server_tab').attr('class', 'unas_tab');
  jQuery(this).attr('class', 'unas_tab_sel');

  jQuery('#rsync_manager_task_setting_page').attr('style', 'display:none');
  jQuery('#rsync_manager_server_setting_page').attr('style', 'display:none');
  jQuery('#' + id).attr('style', 'display:block');
  if (id == 'rsync_manager_task_tab')
    getRsyncBackupTasks();
  else
    getRsyncServerInfo();
});

function build_list(data) {
  rsync_task_status_stop = 0;
  rsync_task_status_running = 1;
  rsync_task_status_freeze = 2;
  jQuery('#rsync_backuptask_listtasks').html('');
  for (var i = 0; i < data.length; i++) {
    var remote = (data[i].taskconf.tasktype == 'local') ? (data[i].taskconf.argus.remotefolder) : (data[i].taskconf.argus.user + '@' + data[i].taskconf.argus.remote + '::' + data[i].taskconf.argus.remotefolder);
    var local = data[i].taskconf.argus.localfolder;
    if (data[i].taskconf.schedule == '0') {
      var timing = '<span>' + UNAS._('No schedule') + '</span>';
    } else {
      if (data[i].taskconf.timing.day == '*' && data[i].taskconf.timing.dow == '*')
        var timing = '<span>' + UNAS._('Daily') + '</span>' + ' - ' + data[i].taskconf.timing.hour + ':' + data[i].taskconf.timing.minute;
      else if (data[i].taskconf.timing.day == '*' && data[i].taskconf.timing.dow != '*') {
        var weekArray = new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
        var timing = '<span>' + UNAS._('Weekly') + '</span>' + ' <span>' + UNAS._(weekArray[data[i].taskconf.timing.dow]) + '</span>' + ' - ' + data[i].taskconf.timing.hour + ':' + data[i].taskconf.timing.minute;
      } else
        var timing = '<span>' + UNAS._('Monthly') + '</span>' + '<span> ' + data[i].taskconf.timing.day + '</span>' + ' - ' + data[i].taskconf.timing.hour + ':' + data[i].taskconf.timing.minute;
    }
    tasklist = '<tr><td class="listtaskstd">' +
      '<div class="unas-flex-sb">'+
      '<span class="">'+UNAS._('##$@rsync@$##Task Name##$@rsync@$##')+'</span>'+
      '<span class="">' + data[i].taskconf.descript + '</span>'+
      '</div>' +
      '<div class="unas-flex-sb">'+
      '<span class="">'+UNAS._('##$@rsync@$##Local##$@rsync@$##')+'</span>'+
      '<span class="">' + local + '</span>' +
      '</div>' +
      '<div class="unas-flex-sb">' +
      '<span class="">'+UNAS._('##$@rsync@$##Direction##$@rsync@$##')+'</span>'+
      '<a class="rsync_direction_' + data[i].taskconf.argus.direction + '"></a>' +
      '</div>' +
      '<div class="unas-flex-sb">' +
      '<span class="">'+UNAS._('##$@rsync@$##Remote/Local##$@rsync@$##')+'</span>'+
      '<span class="">' +remote + '</span>' +
      '</div>' +
      '<div class="unas-flex-sb">' +
      '<span class="">'+UNAS._('##$@rsync@$##Schedule##$@rsync@$##')+'</span>'+
      '<span class="">' + timing + '</span>' +
      '</div>' +
      '<div class="unas-flex-sb">' +
      '<span class="">'+UNAS._('##$@rsync@$##Status##$@rsync@$##')+'</span>'+
      ((data[i].taskstatus == rsync_task_status_running || data[i].taskstatus == rsync_task_status_freeze) ?
        ('<div class="rsync_process-container"><div class="rsync_processcontainer" style=""><div class="rsync_processbar" style="width:' + data[i].progresspercent + '"></div></div><span>' + (data[i].progresspercent ||" 0%") + '</span></div>') :
        ('<span class="rsync_icon_exited">--</span>')) +
      '</div>' +
      '<div class="unas-flex-sb" style="justify-content: flex-end;">' +
      ((data[i].taskstatus == rsync_task_status_freeze) ? '<a class="rsync_icon_thaw" onClick="ThawRsyncBackupTask(' + "'" + data[i].taskname + "'" + ');" title="' + UNAS._("Resume sync") + '"></a>' : ((data[i].taskstatus ==
        rsync_task_status_running) ? '<a class="rsync_icon_freeze" onClick="FreezeRsyncBackupTask(' + "'" + data[i].taskname + "'" + ');" title="' + UNAS._("Pause sync") + '"></a>' : '')) +
      ((data[i].taskstatus != rsync_task_status_stop) ? '<a class="rsync_icon_stop" onClick="StopRsyncBackupTask(' + "'" + data[i].taskname + "'" + ')" title="' + UNAS._("Stop sync") + '"></a>' :
        '<a class="rsync_icon_start" onClick="StartRsyncBackupTask(' + "'" + data[i].taskname + "'" + ')" title="' + UNAS._("Start sync") + '"></a>') +
      '<a class="rsync_icon_restart" onClick="RestartRsyncBackupTask(' + "'" + data[i].taskname + "'" + ')" title="' + UNAS._("Restart sync") + '"></a>' +
      ((data[i].taskstatus != rsync_task_status_stop) ? '<a class="unas_icon_edit_disable" title="' + UNAS._("Edit") + '"></a>' : '<a class="unas_icon_edit" onClick="EditRsyncBackupTask(' + "'" + data[i].taskname + "'" + ');" title="' + UNAS._(
        "Edit") + '"></a>') +
      ((data[i].taskstatus != rsync_task_status_stop) ? '<a class="unas_icon_delete_disable" title="' + UNAS._("Delete") + '"></a>' : '<a class="unas_icon_delete" onClick="DeleteRsyncBackupTask(' + "'" + data[i].taskname + "'" + ');" title="' +
        UNAS._("Delete") + '"></a>') +
        '</div>' +
      '</td>' +
      '</tr>';
    jQuery('#rsync_backuptask_listtasks').append(tasklist);
  }

}

function getRsyncBackupTasks() {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  data = {
    cmd: "rsync_get_tasks",
    token: UToken
  }
  jQuery.ajax({
    url: "/apps/rsync/includes/index.php",
    type: "POST",
    async: true,
    timeout: 20000,
    data: JSON.stringify(data),
    dataType: "json",
    contentType: "application/json",
    success: function(result) {
      build_list(result.results);
      RsyncRefreshCode = generateRsyncUUID();
      setTimeout('refreshRsyncBackupTaskInformation("' + RsyncRefreshCode + '")', 5000);
      jQuery('#rsync_manager_waiting_content').attr("style", "display:none");
      jQuery('#rsync_manager_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#rsync_manager_waiting_content').attr("style", "display:none");
      jQuery('#rsync_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

function refreshRsyncBackupTaskInformation(refreshcode) {
  if (jQuery("#rsync_backuptask_listtasks tr").length > 0) {
    if (refreshcode == RsyncRefreshCode) {
      data = {
        cmd: "rsync_get_tasks",
        token: UToken
      }
      jQuery.ajax({
        url: "/apps/rsync/includes/index.php",
        type: "POST",
        async: true,
        timeout: 20000,
        data: JSON.stringify(data),
        dataType: "json",
        contentType: "application/json",
        success: function(result) {
          build_list(result.results);
          setTimeout('refreshRsyncBackupTaskInformation("' + refreshcode + '")', 5000);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {

        }
      });
    }
  }

}

function getRsyncServerInfo() {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  jQuery.ajax({
    url: "/apps/rsync/include/service_rsync.php",
    type: "POST",
    async: true,
    data: {
      "action": "getRsyncServerInfo"
    },
    timeout: 30000,
    dataType: "json",
    success: function(data) {
      //alert(JSON.stringify(data));
      jQuery('#rsync_server_listtasks').html('');
      jQuery('#rsync_server_port').val(data.port);
      if (data.server == "1") {
        jQuery('#rsync_server_enable').prop('checked', true);
        jQuery('#rsync_server_port').prop('disabled', false);
      } else {
        jQuery('#rsync_server_enable').prop('checked', false);
        jQuery('#rsync_server_port').prop('disabled', true);
      }
      for (var i = 0; i < data.modules.length; i++) {
        var modulelist = '<tr><td  class="listtaskstd">' +
          '<div class="unas-flex-sb">' +
          '<span class="">'+UNAS._('##$@rsync@$##Module Name##$@rsync@$##')+'</span>'+
          '<span class="">' +data.modules[i].modulename + '</span>' +
          '</div>' +
          '<div class="unas-flex-sb" >' +
          '<span class="">'+UNAS._('##$@rsync@$##Path##$@rsync@$##')+'</span>'+
          '<span class="">' + data.modules[i].path + '</span>' +
          '</div>' +
          '<div class="unas-flex-sb" >' +
          '<span class="">'+UNAS._('##$@rsync@$##User##$@rsync@$##')+'</span>'+
          '<span class="">' + data.modules[i].user + '</span>' +
          '</div>' +
          '<div class="unas-flex-sb" style="justify-content: flex-end;">' +
          '<a class="unas_icon_delete"  style="margin: 0px;" onClick="del_RsyncModule(' + "'" + data.modules[i].modulename + "'" + ');"></a>' +
          '</div>' +
          '</td>' +
          '</tr>';
        jQuery('#rsync_server_listtasks').append(modulelist);
      }

      checkOnlyOfficePort();
      jQuery('#rsync_manager_waiting_content').attr("style", "display:none");
      jQuery('#rsync_manager_waiting_logo').attr("style", "display:none");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#rsync_manager_waiting_content').attr("style", "display:none");
      jQuery('#rsync_manager_waiting_logo').attr("style", "display:none");
    }
  });
}

function submit_setRsyncServer() {
  if (jQuery("#rsync_btn").attr("class") == "unas_button_disabled") {
    return false;
  }
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block;");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block;");
  var server = jQuery('#rsync_server_enable').prop('checked') ? 1 : 0;
  var port = jQuery('#rsync_server_port').val();
  jQuery.ajax({
    url: "/apps/rsync/include/service_rsync.php",
    type: "POST",
    async: true,
    data: {
      "server": server,
      "port": port,
      "action": "setRsyncServer"
    },
    timeout: 30000,
    success: function(data) {
      getRsyncServerInfo();
      jQuery('#rsync_manager_waiting_content').attr("style", "display:none;");
      jQuery('#rsync_manager_waiting_logo').attr("style", "display:none;");
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
      jQuery('#rsync_manager_waiting_content').attr("style", "display:none;");
      jQuery('#rsync_manager_waiting_logo').attr("style", "display:none;");
    }
  });
}

function CreateRsyncBackupTaskWindowFun() {
  var cwh = getClientWH();
  var CreateRsyncBackupTaskW = new MUI.Modal({
    id: 'CreateRsyncBackupTaskWindow',
    title: UNAS._('Create Backup Task'),
    modal: true,
    width: cwh.w,
    height: cwh.h,
    addClass:'mobile-modal',
    type: 'modal2',
    modalOverlayClose: false,
    contentURL: '/apps/rsync/m/create_backuptask.html?v=6.0.30&'
  });

  CreateRsyncBackupTaskW.ProcessCreateRsyncBackupTask = function() {
    getRsyncBackupTasks();
    getRsyncServerInfo();
  }
}

function CreateRsyncBackupTask() {
  CreateRsyncBackupTaskWindowFun();
}

function StartRsyncBackupTask(taskname) {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  data = {
    cmd: "rsync_task_start",
    token: UToken,
    params: {
      taskname: taskname
    }
  }
  jQuery.ajax({
    url: "/apps/rsync/includes/index.php",
    type: "POST",
    async: true,
    timeout: 200000,
    data: JSON.stringify(data),
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      //alert(data)
      getRsyncBackupTasks();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}

function StopRsyncBackupTask(taskname) {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  data = {
    cmd: "rsync_task_stop",
    token: UToken,
    params: {
      taskname: taskname
    }
  }
  jQuery.ajax({
    url: "/apps/rsync/includes/index.php",
    type: "POST",
    async: true,
    timeout: 200000,
    data: JSON.stringify(data),
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      //alert(data)
      getRsyncBackupTasks();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}

function RestartRsyncBackupTask(taskname) {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  data = {
    cmd: "rsync_task_restart",
    token: UToken,
    params: {
      taskname: taskname
    }
  }
  jQuery.ajax({
    url: "/apps/rsync/includes/index.php",
    type: "POST",
    async: true,
    timeout: 200000,
    data: JSON.stringify(data),
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      //alert(data)
      getRsyncBackupTasks();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}

function FreezeRsyncBackupTask(taskname) {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  data = {
    cmd: "rsync_task_freeze",
    token: UToken,
    params: {
      taskname: taskname
    }
  }
  jQuery.ajax({
    url: "/apps/rsync/includes/index.php",
    type: "POST",
    async: true,
    timeout: 200000,
    data: JSON.stringify(data),
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      getRsyncBackupTasks();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}

function ThawRsyncBackupTask(taskname) {
  jQuery('#rsync_manager_waiting_content').attr("style", "display:block");
  jQuery('#rsync_manager_waiting_logo').attr("style", "display:block");
  data = {
    cmd: "rsync_task_thaw",
    token: UToken,
    params: {
      taskname: taskname
    }
  }
  jQuery.ajax({
    url: "/apps/rsync/includes/index.php",
    type: "POST",
    async: true,
    timeout: 200000,
    data: JSON.stringify(data),
    dataType: "json",
    contentType: "application/json",
    success: function(data) {
      //alert(data)
      getRsyncBackupTasks();
    },
    error: function(XMLHttpRequest, textStatus, errorThrown) {
      alert(textStatus);
    }
  });
}

function EditRsyncBackupTaskWindowFun(taskname) {
  var cwh = getClientWH();
  var EditRsyncBackupTaskW = new MUI.Modal({
    id: 'EditRsyncBackupTaskWindow',
    title: UNAS._('Edit Backup Task'),
    modal: true,
    width: cwh.w,
    height: cwh.h,
    addClass:'mobile-modal',
    type: 'modal2',
    modalOverlayClose: false,
    contentURL: '/apps/rsync/m/edit_backuptask.html?v=6.0.30&taskname=' + taskname
  });

  EditRsyncBackupTaskW.ProcessEditRsyncBackupTask = function() {
    getRsyncBackupTasks();
    getRsyncServerInfo();
  }
}

function EditRsyncBackupTask(taskname) {
  EditRsyncBackupTaskWindowFun(taskname);
}

function DeleteRsyncBackupTaskWindowFun(taskname) {
  var cwh = getClientWH();
  var DeleteRsyncBackupTaskW = new MUI.Modal({
    id: 'DeleteRsyncBackupTaskWindow',
    title: UNAS._('Delete Backup Task'),
    modal: true,
    width: parseInt(cwh.w * 0.88),
    height: 200, //+50
    addClass:'delete-modal',
    modalOverlayClose: false,
    contentURL: '/apps/rsync/m/delete_backuptask.html?v=6.0.30&taskname=' + taskname
  });
  DeleteRsyncBackupTaskW.ProcessDeleteRsyncBackupTask = function() {
    getRsyncBackupTasks();
    getRsyncServerInfo();
  }
}

function DeleteRsyncBackupTask(taskname) {
  DeleteRsyncBackupTaskWindowFun(taskname);
}

function AddRsyncModuleWindowFun() {
  var cwh = getClientWH();
  var AddRsyncModuleW = new MUI.Modal({
    id: 'AddRsyncModuleWindow',
    title: UNAS._('Add Rsync Module'),
    modal: true,
    width: cwh.w,
    height: cwh.h,
    addClass:'mobile-modal',
    type: 'modal2',
    modalOverlayClose: false,
    contentURL: '/apps/rsync/m/add_rsyncmodule.html?v=6.0.30&'
  });
  AddRsyncModuleW.ProcessAddRsyncModule = function() {}
}

function add_RsyncModule() {
  AddRsyncModuleWindowFun();
}

function EditRsyncModuleWindowFun() {
  var EditRsyncModuleW = new MUI.Modal({
    id: 'EditRsyncModuleWindow',
    title: UNAS._('Edit Rsync Module'),
    modal: true,
    width: 600,
    height: 400,
    modalOverlayClose: false,
    contentURL: '/apps/rsync/edit_rsyncmodule.html?v=6.0.30&'
  });

  EditRsyncModuleW.ProcessEditRsyncModule = function() {}
}

function DeleteRsyncModuleWindowFun(name) {
  var cwh = getClientWH();
  var DeleteRsyncModuleW = new MUI.Modal({
    id: 'DeleteRsyncModuleWindow',
    title: UNAS._('Delete Rsync Module'),
    modal: true,
    width: parseInt(cwh.w * 0.88),
    height: 200, //+50
    addClass:'delete-modal',
    modalOverlayClose: false,
    contentURL: '/apps/rsync/m/delete_rsyncmodule.html?v=6.0.30&modulename=' + name
  });

  DeleteRsyncModuleW.ProcessDeleteRsyncModule = function() {}
}

function del_RsyncModule(name) {
  DeleteRsyncModuleWindowFun(name);
}

function checkOnlyOfficePort() {
  var port = jQuery("#rsync_server_port").val();
  if (port != "") {
    if (!port.match("^[0-9]*$")) {
      jQuery(".rsync_server_port_error_tips").text(UNAS._("##$@rsync@$##The port number must be an integer between 0-65535##$@rsync@$##"));
      jQuery(".rsync_server_port_error_tips").attr("style", "flex:1;margin-left: 10px;display:block;color: red;");
      jQuery("#rsync_server_port").attr("class", "unas_input_error");
      jQuery("#rsync_btn").attr("class", "unas_button_disabled");

      return false;
    }
    port = parseInt(port);
    if (port > 65535) {
      jQuery(".rsync_server_port_error_tips").text(UNAS._("##$@rsync@$##The port number must be an integer between 0-65535##$@rsync@$##"));
      jQuery(".rsync_server_port_error_tips").attr("style", "flex:1;margin-left: 10px;display:block;color: red;");
      jQuery("#rsync_server_port").attr("class", "unas_input_error");
      jQuery("#rsync_btn").attr("class", "unas_button_disabled");
      return false;
    }

    jQuery.ajax({
      url: "/apps/rsync/include/service_rsync.php",
      type: "POST",
      async: true,
      timeout: 20000,
      data: {
        "action": "checkPort",
        "port": port
      },
      dataType: "json",
      success: function(data) {
        if (data.status == 1) {
          jQuery(".rsync_server_port_error_tips").text('');
          jQuery(".rsync_server_port_error_tips").attr("style", "margin-left: 10px;flex:1;display:none;color: red;");
          jQuery("#rsync_server_port").attr("class", "unas_input");
          jQuery("#rsync_btn").attr("class", "unas_button");
          return true;
        } else if (data.status == -1) {
          jQuery(".rsync_server_port_error_tips").text(UNAS._("##$@rsync@$##The port number must be an integer between 0-65535##$@rsync@$##"));
          jQuery(".rsync_server_port_error_tips").attr("style", "margin-left: 10px;flex:1;display:block;color: red;");
          jQuery("#rsync_server_port").attr("class", "unas_input_error");
          jQuery("#rsync_btn").attr("class", "unas_button_disabled");

          return false;
        } else if (data.status == -2) {
          jQuery(".rsync_server_port_error_tips").text(UNAS._("##$@rsync@$##The port is already in use##$@rsync@$##"));
          jQuery(".rsync_server_port_error_tips").attr("style", "margin-left: 10px;flex:1;display:block;color: red;");
          jQuery("#rsync_server_port").attr("class", "unas_input_error");
          jQuery("#rsync_btn").attr("class", "unas_button_disabled");

          return false;
        } else {
          jQuery(".rsync_server_port_error_tips").text(UNAS._("##$@rsync@$##Other error##$@rsync@$##"));
          jQuery(".rsync_server_port_error_tips").attr("style", "margin-left: 10px;flex:1;display:block;color: red;");
          jQuery("#rsync_server_port").attr("class", "unas_input_error");
          jQuery("#rsync_btn").attr("class", "unas_button_disabled");

          return false;
        }
      },
      error: function(XMLHttpRequest, textStatus, errorThrown) {
        //alert(textStatus);
        //console.log("4");
        //请求超时
        ModelPathState = false;
        jQuery('#add_rsyncmodule_path').attr('class', 'unas_input_error');
        jQuery("#add_rsyncmodule_path_warning").text(UNAS._('##$@rsync@$##Request timeout##$@rsync@$##'));
        return ModelPathState;
      }
    });
  } else {
    jQuery(".rsync_server_port_error_tips").text(UNAS._("##$@rsync@$##The port number must be an integer between 0-65535##$@rsync@$##"));
    jQuery(".rsync_server_port_error_tips").attr("style", "margin-left: 10px;flex:1;display:block;color: red;");
    jQuery("#rsync_server_port").attr("class", "unas_input_error");
    jQuery("#rsync_btn").attr("class", "unas_button_disabled");
    return false;
  }

  jQuery(".rsync_server_port_error_tips").text('');
  jQuery(".rsync_server_port_error_tips").attr("style", "margin-left: 10px;flex:1;display:none;color: red;");
  jQuery("#rsync_server_port").attr("class", "unas_input");
  jQuery("#rsync_btn").attr("class", "unas_button");
  return true;
}

function addIncludeExcludeWin() {
  var cwh = getClientWH();
  new MUI.Modal({
    id: 'jv-addincludeexcludewin',
    title: UNAS._('##$@rsync@$##Add include / exclude items##$@rsync@$##'),
    modal: true,
    width: parseInt(cwh.w * 0.88),
    height: 230, //+50
    addClass:'delete-modal',
    modalOverlayClose: false,
    contentURL: '/apps/rsync/m/add_include_exclude.html?v=6.0.30&'
  });
}

(function() {
  // jQuery("#rsync_main_task_table").mCustomScrollbar({
  //   autoHideScrollbar: true,
  //   theme: "minimal-dark"
  // });
  // jQuery("#rsync_main_server_table").mCustomScrollbar({
  //   autoHideScrollbar: true,
  //   theme: "minimal-dark"
  // });
  getRsyncBackupTasks();
  getRsyncServerInfo();
  jQuery('#rsync_server_enable').click(function() {
    if (jQuery(this).prop("checked") == true)
      jQuery('#rsync_server_port').prop("disabled", false);
    else
      jQuery('#rsync_server_port').prop("disabled", true);
  });
  jQuery('#rsync_task_search').keyup(function() {
    jQuery('#rsync_backuptask_listtasks tr').hide().filter(":contains('" + (jQuery(this).val()) + "')").show();
  }).keyup();
  jQuery('#rsync_module_search').keyup(function() {
    jQuery('#rsync_server_listtasks tr').hide().filter(":contains('" + (jQuery(this).val()) + "')").show();
  }).keyup();
})();
